# Capability

In the Workspaces system, a Capability is some kind of processing we can do
(e.g., standard calibration or **c**alibrated **m**easurement **s**et restore).
Available capabilities can be found in the archive **capabilities** table.

## Determining capability request state based on request version(s) states

### Rules for determining request state

    - If -any- version is Complete, and -all- other versions are either Failed or Complete, the request is Complete
    - If all versions are Failed or Error, the request is failed
    - If all versions are Complete, the request is Complete
    - If all versions are Created, the request is Created
    - Otherwise, it is Submitted


![img.png](img.png)
