#
# Copyright (C) 2021 Associated Universities, Inc. Washington DC, USA.
#
# This file is part of NRAO Workspaces.
#
# Workspaces is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# Workspaces is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with Workspaces.  If not, see <https://www.gnu.org/licenses/>.
"""
Workspaces CASA functionality bridge
"""
__version__ = "2.8.5.dev1"

# The desired names for the calibration's and restore's PPR's in "restore" mode
# Neither will likely be named this way at launch time, but deliver needs to be able to distinguish them for users.
RESTORE_ORIG_CAL_PPR_NAME = "PPR_calibration.xml"
